# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "easyfix"
version = "0.14.3"
authors = ["Łukasz Dańko <lukasz.danko@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Easy FIX (Financial Information Exchange) engine."
readme = "README.md"
license = "MIT"
repository = "https://github.com/ldanko/easyfix"
resolver = "2"

[features]
default = []
deserialize-messages = ["easyfix-messages/deserialize"]
serialize-messages = ["easyfix-messages/serialize"]

[lib]
name = "easyfix"
path = "src/lib.rs"

[dependencies.easyfix-dictionary]
version = "0.4.2"

[dependencies.easyfix-macros]
version = "0.1.3"

[dependencies.easyfix-messages]
version = "0.6.4"

[dependencies.easyfix-session]
version = "0.11.3"
